vertx / io.vertx.kotlin.ext.stomp / stompServerOptionsOf

# stompServerOptionsOf

`fun stompServerOptionsOf(acceptBacklog: Int? = null, clientAuth: ClientAuth? = null, crlPaths: Iterable<String>? = null, crlValues: Iterable<Buffer>? = null, enabledCipherSuites: Iterable<String>? = null, enabledSecureTransportProtocols: Iterable<String>? = null, heartbeat: JsonObject? = null, host: String? = null, idleTimeout: Int? = null, idleTimeoutUnit: TimeUnit? = null, jdkSslEngineOptions: JdkSSLEngineOptions? = null, keyCertOptions: KeyCertOptions? = null, keyStoreOptions: JksOptions? = null, logActivity: Boolean? = null, maxBodyLength: Int? = null, maxFrameInTransaction: Int? = null, maxHeaderLength: Int? = null, maxHeaders: Int? = null, maxSubscriptionsByClient: Int? = null, openSslEngineOptions: OpenSSLEngineOptions? = null, pemKeyCertOptions: PemKeyCertOptions? = null, pemTrustOptions: PemTrustOptions? = null, pfxKeyCertOptions: PfxOptions? = null, pfxTrustOptions: PfxOptions? = null, port: Int? = null, proxyProtocolTimeout: Long? = null, proxyProtocolTimeoutUnit: TimeUnit? = null, receiveBufferSize: Int? = null, reuseAddress: Boolean? = null, reusePort: Boolean? = null, secured: Boolean? = null, sendBufferSize: Int? = null, sendErrorOnNoSubscriptions: Boolean? = null, sni: Boolean? = null, soLinger: Int? = null, ssl: Boolean? = null, sslEngineOptions: SSLEngineOptions? = null, sslHandshakeTimeout: Long? = null, sslHandshakeTimeoutUnit: TimeUnit? = null, supportedVersions: Iterable<String>? = null, tcpCork: Boolean? = null, tcpFastOpen: Boolean? = null, tcpKeepAlive: Boolean? = null, tcpNoDelay: Boolean? = null, tcpQuickAck: Boolean? = null, timeFactor: Int? = null, trafficClass: Int? = null, trailingLine: Boolean? = null, transactionChunkSize: Int? = null, trustOptions: TrustOptions? = null, trustStoreOptions: JksOptions? = null, useAlpn: Boolean? = null, useProxyProtocol: Boolean? = null, websocketBridge: Boolean? = null, websocketPath: String? = null): StompServerOptions`

A function providing a DSL for building io.vertx.ext.stomp.StompServerOptions objects.

STOMP Server options. You can also configure the Net Server used by the STOMP server from these options.

### Parameters

`acceptBacklog` - Set the accept back log

`clientAuth` - Set whether client auth is required

`crlPaths` - Add a CRL path

`crlValues` - Add a CRL value

`enabledCipherSuites` - Add an enabled cipher suite, appended to the ordered suites.

`enabledSecureTransportProtocols` - Sets the list of enabled SSL/TLS protocols.

`heartbeat` - Sets the heartbeat configuration.

`host` - Set the host

`idleTimeout` - Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout. If you want change default time unit, use io.vertx.core.net.NetServerOptions

`idleTimeoutUnit` - Set the idle timeout unit. If not specified, default is seconds.

`jdkSslEngineOptions` -

`keyCertOptions` - Set the key/cert options.

`keyStoreOptions` - Set the key/cert options in jks format, aka Java keystore.

`logActivity` - Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.

`maxBodyLength` - Sets the max body length accepted by the server. 10 Mb by default.

`maxFrameInTransaction` - Sets the maximum number of frame that can be added in a transaction. If the number of frame added to a transaction exceeds this threshold, the client receives an ERROR frame and is disconnected. The default is 1000.

`maxHeaderLength` - Sets the max header length.

`maxHeaders` - Sets the maximum number of headers. 1000 by default.

`maxSubscriptionsByClient` - Sets the maximum of subscriptions a client is allowed to register. If a client exceeds this number, it receives an error and the connection is closed.

`openSslEngineOptions` -

`pemKeyCertOptions` - Set the key/cert store options in pem format.

`pemTrustOptions` - Set the trust options in pem format

`pfxKeyCertOptions` - Set the key/cert options in pfx format.

`pfxTrustOptions` - Set the trust options in pfx format

`port` - Sets the port on which the server is going to listen for TCP connection.

`proxyProtocolTimeout` - Set the Proxy protocol timeout, default time unit is seconds.

`proxyProtocolTimeoutUnit` - Set the Proxy protocol timeout unit. If not specified, default is seconds.

`receiveBufferSize` - Set the TCP receive buffer size

`reuseAddress` - Set the value of reuse address

`reusePort` - Set the value of reuse port. This is only supported by native transports.

`secured` - Enables or disables the server security feature. It requires an io.vertx.ext.auth.authentication.AuthenticationProvider handler.

`sendBufferSize` - Set the TCP send buffer size

`sendErrorOnNoSubscriptions` - Sets whether or not an error is sent to the client when this client sends a message to an not subscribed destinations (no subscriptions on this destination).

`sni` - Set whether the server supports Server Name Indiciation

`soLinger` - Set whether SO_linger keep alive is enabled

`ssl` - Set whether SSL/TLS is enabled

`sslEngineOptions` - Set to use SSL engine implementation to use.

`sslHandshakeTimeout` - Set the SSL handshake timeout, default time unit is seconds.

`sslHandshakeTimeoutUnit` - Set the SSL handshake timeout unit. If not specified, default is seconds.

`supportedVersions` - Sets the STOMP protocol versions supported by the server. Versions must be given in the decreasing order.

`tcpCork` - Enable the TCP_CORK option - only with linux native transport.

`tcpFastOpen` - Enable the TCP_FASTOPEN option - only with linux native transport.

`tcpKeepAlive` - Set whether TCP keep alive is enabled

`tcpNoDelay` - Set whether TCP no delay is enabled

`tcpQuickAck` - Enable the TCP_QUICKACK option - only with linux native transport.

`timeFactor` - Sets the time factor.

`trafficClass` - Set the value of traffic class

`trailingLine` - Sets whether or not an empty line should be appended to the written STOMP frame. This option is disabled by default. This option is not compliant with the STOMP specification, and so is not documented on purpose.

`transactionChunkSize` - Sets the chunk size when replaying a transaction. To avoid blocking the event loop for too long, large transactions are split into chunks, replayed one by one. This settings sets the chunk size.

`trustOptions` - Set the trust options.

`trustStoreOptions` - Set the trust options in jks format, aka Java truststore

`useAlpn` - Set the ALPN usage.

`useProxyProtocol` - Set whether the server uses the HA Proxy protocol

`websocketBridge` - Enables or disables the web socket bridge.

`websocketPath` - Sets the websocket path. Only frames received on this path would be considered as STOMP frame.